Report Viewer for WPF is not compatible to .NET 3.5?

2 posts, 0 answers
  1. papadi
    papadi avatar
    35 posts
    Member since:
    Nov 2008

    Posted 05 Dec 2012 Link to this post

    I tried to add a reference to the Report Viewer assembly for WPF and I got the error that you see in the attachment. For your description on your web site I understand that it is only the designer that requires .NET 4 and not the viewer.
    What's happening!?
  2. Steve
    Steve avatar
    10941 posts

    Posted 05 Dec 2012 Link to this post


    The ReportViewer for Wpf control in Q3 2012 version (going forward) is built against .NET Framework 4.0 and requires Telerik RadControls for WPF 4. This information is available in the System Requirements and Q3 2012 release notes, so the message you receive is correct and expected.

    the Telerik team

    HAPPY WITH TELERIK REPORTING? Do you feel that it is fantastic? Or easy to use? Or better than Crystal Reports? Tell the world, and help fellow developers! Write a short review about Telerik Reporting and Telerik Report Designer in Visual Studio Gallery today!

  3. DevCraft banner
Back to Top